/*
Theme Name: Marina Child
Theme URI: http://www.nicdark.com
Description: Дочерняя тема для Marina
Author: Nicdark
Author URI: http://www.nicdarkthemes.com
Template: marina
Version: 1.0.0
Text Domain: marina-child
*/

/** Виджет иконок соц.сетей */
.all-in-one-social-button {
  position: fixed;
  right: 20px;
  bottom: 70px;
  z-index: 200;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.all-in-one-social-button .items {
  display: flex;
  flex-direction: column;
  gap: 10px;
  opacity: 0;
  transition: all .2s ease-in-out;
  pointer-events: none;
}
.all-in-one-social-button .items.opened {
  opacity: 1;
  pointer-events: all;
}
.all-in-one-social-button .button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 52px;
  height: 52px;
  border-radius: 50%;
  border: none;
  padding: 0;
  background-color: #093567;
  box-shadow: 0 0 10px rgba(0, 0, 0, .3);
  transition: background-color .2s ease-in-out;
}
.all-in-one-social-button button {
  border-radius: 50% !important;
}
.all-in-one-social-button .button:hover {
  cursor: pointer;
  background-color: #d2253a;
  border-radius: 50% !important;
}
.all-in-one-social-button svg path{
  fill: #fff;
}
.all-in-one-social-button .toggle-button--active {
  background-color: #d2253a;
}
.all-in-one-social-button .toggle-button > svg {
  display: none;
}
.all-in-one-social-button .toggle-button--active svg {
  display: block;
}
.all-in-one-social-button .toggle-icons {
  width: 52px;
  height: 52px;
  position: relative;
}
.all-in-one-social-button .toggle-button--active .toggle-icons {
  width: auto;
}
.all-in-one-social-button .toggle-icons svg {
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: opacity .4s ease-out;
}
.all-in-one-social-button .toggle-button--active .toggle-icons {
  opacity: 0;
} 
.all-in-one-social-button .toggle-icons .toggle-icon-active {
  opacity: 1;
}
.all-in-one-social-button svg.telegram-icon {
  transform: none;
  top: 15px;
  left: 12px;
}
.all-in-one-social-button .no-shadow {
  box-shadow: none;
}
.all-in-one-social-button .jivo {
  background-color: #44bb6e;
}
.all-in-one-social-button .phone {
  background-color: #00b494;
}
.all-in-one-social-button .telegram {
  background-color: #0088cc;
  justify-content: flex-start;
  align-items: flex-start;
}
.all-in-one-social-button .telegram  svg {
  margin-top: 14px;
  margin-left: 12px;
}
.all-in-one-social-button .whatsapp {
  background-color: #40c351;
}
.all-in-one-social-button .vk {
  background-color: #0077ff;
}
.all-in-one-social-button .max {
  align-items: center;
  background-color: #241a30;
  justify-content: center;
}
.all-in-one-social-button .youtube {
  background-color: #fe0001;
}
/** Конец Виджет иконок соц.сетей */